{"openapi":"3.0.1","info":{"title":"4ALLPORTAL Core API","description":"API description in Markdown.","version":"1.0.0"},"servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/aws38/4allportal-core/1.0.0"},{"url":"https://apiv4.4allportal.com"}],"paths":{"/{module}/data":{"parameters":[{"in":"path","name":"module","required":true,"schema":{"type":"string"}}],"get":{"summary":"Returns records from {module}","parameters":[{"in":"path","name":"module","required":true,"schema":{"type":"string"}},{"in":"query","name":"fields","schema":{"type":"array","items":{"type":"string"}},"explode":false},{"in":"query","name":"offset","schema":{"type":"integer","default":0,"minimum":0}},{"in":"query","name":"limit","schema":{"type":"integer","default":25,"minimum":1,"maximum":15000}},{"in":"query","name":"query","description":"Filter by field and value. For example `query[name]=george&query[pid]=ae5d2ddb-3ad6-4f6c-8961-b665d4f2e5af`","schema":{"type":"object"},"style":"deepObject"}],"responses":{"200":{"description":"OK"}}},"post":{"summary":"Inserts records to {module}","responses":{"200":{"description":"OK"}}},"patch":{"summary":"Updates records of {module}","responses":{"200":{"description":"OK"}}},"delete":{"summary":"Deletes all records of {module}","responses":{"200":{"description":"OK"}}}},"/{module}/data/{id}":{"parameters":[{"in":"path","name":"module","required":true,"schema":{"type":"string"}},{"in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"get":{"summary":"Returns details of {id} in {module}","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataEntry"}}}}}},"patch":{"summary":"Updates the record for {id} in {module}","responses":{"200":{"description":"OK"}}},"delete":{"summary":"Deletes record {id} in {module}","responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"CEType":{"type":"object","properties":{"value":{},"dimensions":{"type":"array","items":{"type":"object","properties":{"name":{"type":"string"},"value":{"type":"string"}}}}}},"DataEntry":{"type":"object","properties":{"id":{"type":"string","format":"uuid"},"type":{"type":"string"},"mod_time":{"type":"string","format":"date-time"}},"additionalProperties":{"$ref":"#/components/schemas/CEType"}}}}}